"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c1f0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c280>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c310>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c3a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c430>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c4c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c550>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c5e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c670>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c700>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c790>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c820>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c8b0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c940>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101c9d0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101ca60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101caf0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101cb80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101cc10>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101cca0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101cd30>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101cdc0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101ce50>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101cf70>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0101cee0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022040>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010220d0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022160>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010221f0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022280>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022310>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010223a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022430>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010224c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022550>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010225e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022670>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022700>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022790>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022820>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010228b0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022940>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010229d0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022a60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022af0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022b80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022c10>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022ca0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022d30>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022dc0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022e50>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022ee0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01022f70>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026040>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010260d0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026160>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010261f0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026280>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026310>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010263a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026430>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010264c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026550>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010265e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026670>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026820>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026700>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010268b0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026940>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f010269d0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026a60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026af0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026c10>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026b80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026ca0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026d30>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026dc0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026ee0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026e50>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f01026f70>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0102a040>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0102a0d0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0102a160>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0102a1f0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f3f0102a280>)]
name: str = 'fr_HOCCN'
